Informacje

Uwierzytelnianie wymagane
Format odpowiedzi json
Metoda HTTP GET

GET webhooks

Ostatnia modyfikacja 2026-05-18 13:56:05
Zwraca wszystkie elementy webhook.

URL

https://your-system-name.thulium.com/api/webhooks

Przykładowy request

GET https://your-system-name.thulium.com/api/webhooks

Przykładowy response

[
    {
        "id": 1,
        "actions": ["CHAT_AGENT_ASSIGNED"],
        "subscription_url": "https://example.com/",
        "http_auth_user": "",
        "http_auth_password": ""
    },
    {
        "id": 2,
        "actions": ["CHAT_CONVERSATION_CREATED"],
        "subscription_url": "https://example.com/",
        "http_auth_user": "",
        "http_auth_password": ""
    }
]

Przykładowe wywołanie


PHP
<?php
$request = curl_init('https://your-system-name.thulium.com/api/webhooks');
curl_setopt($request, CURLOPT_HTTPHEADER, array('Content-Type: application/json; charset=utf-8'));
curl_setopt($request, CURLOPT_USERPWD, "api_user:api_pass");
curl_setopt($request, CURLOPT_TIMEOUT, 30);
curl_setopt($request, CURLOPT_RETURNTRANSFER, true);

$response = curl_exec($request);
if ($response) {
    $httpCode = curl_getinfo($request, CURLINFO_HTTP_CODE);
    if ($httpCode == 200){
        print_r(json_decode($response));
    } else {
        echo $response;
    }
} else {
    trigger_error(curl_error($request), E_USER_WARNING);
}

curl_close($request);
JAVA
public class Example {
    public static void main(String[] args) throws Exception {
        ThuliumRestClient restClient = new ThuliumRestClient("api_user", "api_pass", true);

        ThuliumRestClient.ThuliumRestResponse response = restClient.get("https://your-system-name.thulium.com/api/webhooks");
        System.out.println(response);
    }
}

CURL
curl -u api_user:api_pass -k -X GET -H "Accept: application/json" "https://your-system-name.thulium.com/api/webhooks"

HTTPie
http -a api_user:api_pass GET https://your-system-name.thulium.com/api/webhooks Accept:application/json